[arch-commits] Commit in fish/repos (6 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Sat Sep 6 19:42:33 UTC 2014


    Date: Saturday, September 6, 2014 @ 21:42:33
  Author: bpiotrowski
Revision: 118492

archrelease: copy trunk to community-testing-i686, community-testing-x86_64

Added:
  fish/repos/community-testing-i686/
  fish/repos/community-testing-i686/PKGBUILD
    (from rev 118491, fish/trunk/PKGBUILD)
  fish/repos/community-testing-i686/fish.install
    (from rev 118491, fish/trunk/fish.install)
  fish/repos/community-testing-x86_64/
  fish/repos/community-testing-x86_64/PKGBUILD
    (from rev 118491, fish/trunk/PKGBUILD)
  fish/repos/community-testing-x86_64/fish.install
    (from rev 118491, fish/trunk/fish.install)

---------------------------------------+
 community-testing-i686/PKGBUILD       |   37 ++++++++++++++++++++++++++++++++
 community-testing-i686/fish.install   |   17 ++++++++++++++
 community-testing-x86_64/PKGBUILD     |   37 ++++++++++++++++++++++++++++++++
 community-testing-x86_64/fish.install |   17 ++++++++++++++
 4 files changed, 108 insertions(+)

Copied: fish/repos/community-testing-i686/PKGBUILD (from rev 118491, fish/trunk/PKGBUILD)
===================================================================
--- community-testing-i686/PKGBUILD	                        (rev 0)
+++ community-testing-i686/PKGBUILD	2014-09-06 19:42:33 UTC (rev 118492)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer:  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Kaiting Chen <kaitocracy at gmail.com>
+# Contributor: Abhishek Dasgupta <abhidg at gmail.com>
+# Contributor: Eric Belanger <eric at archlinux.org>
+# Contributor: Jan Fader <jan.fader at web.de>
+
+pkgname=fish
+pkgver=2.1.1
+pkgrel=1
+pkgdesc='Smart and user friendly shell intended mostly for interactive use'
+arch=('i686' 'x86_64')
+url='http://fishshell.com/'
+license=('GPL2')
+depends=('bc' 'gcc-libs' 'inetutils' 'ncurses' 'which')
+optdepends=('python: for manual page completion parser and web configuration tool')
+makedepends=('doxygen')
+install=fish.install
+source=(https://github.com/fish-shell/fish-shell/archive/$pkgver.tar.gz)
+md5sums=('c4abceed44a2f0c133fdcaf12dd299c2')
+
+prepare() {
+  cd fish-shell-$pkgver
+  echo $pkgver > version
+  autoconf -i
+}
+
+build() {
+  cd fish-shell-$pkgver
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc
+  make
+}
+
+package() {
+  make -C fish-shell-$pkgver DESTDIR="$pkgdir" install
+}

Copied: fish/repos/community-testing-i686/fish.install (from rev 118491, fish/trunk/fish.install)
===================================================================
--- community-testing-i686/fish.install	                        (rev 0)
+++ community-testing-i686/fish.install	2014-09-06 19:42:33 UTC (rev 118492)
@@ -0,0 +1,17 @@
+post_install() {
+  grep -q '/usr/bin/fish' etc/shells || echo '/usr/bin/fish' >> etc/shells
+}
+
+post_upgrade() {
+  post_install
+
+  if [[ "$(vercmp $2 2.1.1)" -lt 0 ]]; then
+    echo ":: With fish 2.1.1 release, the fishd socket has changed location due"
+    echo "   to security concerns. To make fish pick up the changes, kill all"
+    echo "   fishd processes."
+  fi
+}
+
+pre_remove() {
+  sed -i '/^\/usr\/bin\/fish/d' /etc/shells
+}

Copied: fish/repos/community-testing-x86_64/PKGBUILD (from rev 118491, fish/trunk/PKGBUILD)
===================================================================
--- community-testing-x86_64/PKGBUILD	                        (rev 0)
+++ community-testing-x86_64/PKGBUILD	2014-09-06 19:42:33 UTC (rev 118492)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer:  Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Kaiting Chen <kaitocracy at gmail.com>
+# Contributor: Abhishek Dasgupta <abhidg at gmail.com>
+# Contributor: Eric Belanger <eric at archlinux.org>
+# Contributor: Jan Fader <jan.fader at web.de>
+
+pkgname=fish
+pkgver=2.1.1
+pkgrel=1
+pkgdesc='Smart and user friendly shell intended mostly for interactive use'
+arch=('i686' 'x86_64')
+url='http://fishshell.com/'
+license=('GPL2')
+depends=('bc' 'gcc-libs' 'inetutils' 'ncurses' 'which')
+optdepends=('python: for manual page completion parser and web configuration tool')
+makedepends=('doxygen')
+install=fish.install
+source=(https://github.com/fish-shell/fish-shell/archive/$pkgver.tar.gz)
+md5sums=('c4abceed44a2f0c133fdcaf12dd299c2')
+
+prepare() {
+  cd fish-shell-$pkgver
+  echo $pkgver > version
+  autoconf -i
+}
+
+build() {
+  cd fish-shell-$pkgver
+  ./configure --prefix=/usr \
+    --sysconfdir=/etc
+  make
+}
+
+package() {
+  make -C fish-shell-$pkgver DESTDIR="$pkgdir" install
+}

Copied: fish/repos/community-testing-x86_64/fish.install (from rev 118491, fish/trunk/fish.install)
===================================================================
--- community-testing-x86_64/fish.install	                        (rev 0)
+++ community-testing-x86_64/fish.install	2014-09-06 19:42:33 UTC (rev 118492)
@@ -0,0 +1,17 @@
+post_install() {
+  grep -q '/usr/bin/fish' etc/shells || echo '/usr/bin/fish' >> etc/shells
+}
+
+post_upgrade() {
+  post_install
+
+  if [[ "$(vercmp $2 2.1.1)" -lt 0 ]]; then
+    echo ":: With fish 2.1.1 release, the fishd socket has changed location due"
+    echo "   to security concerns. To make fish pick up the changes, kill all"
+    echo "   fishd processes."
+  fi
+}
+
+pre_remove() {
+  sed -i '/^\/usr\/bin\/fish/d' /etc/shells
+}




More information about the arch-commits mailing list